emfasemfas
SKUs{identifier}

Get SKU

Retrieves a single SKU by its identifier with variant and product information and all attributes

GET
/skus/{identifier}
Authorization<token>

API key authentication using Bearer token format. Use: Bearer

In: header

Path Parameters

identifierstring

SKU identifier

Response Body

curl -X GET "https://api.emfas.ai/v1/skus/string"
{
  "result": {
    "attributes": {
      "property1": [
        {
          "data": null,
          "locale": "en-US",
          "metaobjectDefinition": "gender",
          "type": "text",
          "value": "Space Black"
        }
      ],
      "property2": [
        {
          "data": null,
          "locale": "en-US",
          "metaobjectDefinition": "gender",
          "type": "text",
          "value": "Space Black"
        }
      ]
    },
    "identifier": "SKU-001",
    "name": "iPhone 14 Pro 256GB Space Black",
    "product": {
      "identifier": "PROD-001",
      "name": "iPhone 14 Pro"
    },
    "updatedAt": "2024-01-15T10:30:00Z",
    "variant": {
      "identifier": "VAR-001",
      "name": "iPhone 14 Pro 256GB"
    }
  }
}
{
  "error": "Internal server error"
}
{
  "error": "Internal server error"
}
{
  "error": "Internal server error"
}
{
  "error": "Internal server error"
}